### Signal

# Gtk IMContext::invalid-composition

since: 4.22

#### Declaration

    gboolean
    invalid_composition (
      GtkIMContext* self,
      gchar* str,
      gpointer user_data
    )

#### Description [src]

Emitted when the filtered keys do not compose to a single valid character.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.22

#### Parameters

`str`

  Type: `gchar*`

  The completed character(s) entered by the user.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

True if the IM context avoid beeping on invalid composition.